Bug 176822 - Incorrect behaviour of the default dictionary
Incorrect behaviour of the default dictionary
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2006-01-03 07:20 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-12 06:24:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-01-03 07:20:30 EST
Description of problem:
Under tools->options->languages, if the box used for applying the user defined
dictionary is ticked, then the US dictionary is used (and locked). It should be
the other way around so that the user dictionary is used as default if the box
is ticked.

If you changed the default dictionary (to say English UK) and then click on the
tick box, the default reverts to English US.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. tools->options->languages, untick the "For current file" box
2. Alter the default western dictionary to anything other than English US
3. Tick the "for current file" box
Actual results:
The dictionary reverts to US

Expected results:
The dictionary remains as the user sets it

Additional info:
Comment 1 Caolan McNamara 2006-01-12 06:24:17 EST
If its "unticked" then it's readonly, i.e. shows the system locale language
(echo $LANG in a terminal) and is not changable. i.e. You shouldn't be able to
change the language if it is unticked. 

Note You need to log in before you can comment on or make changes to this bug.